## thunar-renamer-pair thunar-renamer-pair |

## Functions

ThunarRenamerPair * | thunar_renamer_pair_new ()
ThunarRenamerPair * | thunar_renamer_pair_copy ()
void | thunar_renamer_pair_free ()
GList * | thunar_renamer_pair_list_copy ()
void | thunar_renamer_pair_list_free ()
int | thunar_renamer_pair_compare_ascending ()
int | thunar_renamer_pair_compare_descending ()

## Object Hierarchy

        GBoxed
        ╰── ThunarRenamerPair

## Description

## Functions

### thunar_renamer_pair_new ()

    ThunarRenamerPair *
    thunar_renamer_pair_new (ThunarFile *file,
                             const gchar *name);

Allocates a new ThunarRenamerPair for the given `file` and `name` .

The caller is responsible to free the returned pair using `thunar_renamer_pair_free()` when no longer needed.

#### Parameters

file | a ThunarFile. |
name | the new name for `file` . |

#### Returns

the newly allocated ThunarRenamerPair.

### thunar_renamer_pair_copy ()

    ThunarRenamerPair *
    thunar_renamer_pair_copy (ThunarRenamerPair *renamer_pair);

Allocates a copy of the specified `renamer_pair` .

The caller is responsible to free the returned pair using `thunar_renamer_pair_free()` when no longer needed.

#### Parameters

renamer_pair | a ThunarRenamerPair. |

#### Returns

the newly allocated copy of `renamer_pair` .

### thunar_renamer_pair_free ()

    void
    thunar_renamer_pair_free (gpointer data);

Frees the specified `renamer_pair` .

#### Parameters

data | a ThunarRenamerPair. |

### thunar_renamer_pair_list_copy ()

    GList *
    thunar_renamer_pair_list_copy (GList *renamer_pair_list);

Takes a deep copy of the `renamer_pair_list` .

The caller is responsible to free the returned list using `thunar_renamer_pair_list_free()` when no longer needed.

#### Parameters

renamer_pair_list | a GList of ThunarRenamerPairs. |

#### Returns

a deep copy of `renamer_pair_list` .

### thunar_renamer_pair_list_free ()

    void
    thunar_renamer_pair_list_free (GList *renamer_pair_list);

Releases the `renamer_pair_list` and all ThunarRenamerPairs in the list.

#### Parameters

renamer_pair_list | a GList of ThunarRenamerPairs. |

### thunar_renamer_pair_compare_ascending ()

    int
    thunar_renamer_pair_compare_ascending (const void *pair_a,
                                           const void *pair_b);

Based on GCompareFunc This function can be used as a comparator to sort a Glist of ThunarRenamerPair in ascending order of their name.

#### Parameters

pair_a | first pair |
pair_b | second pair |

### thunar_renamer_pair_compare_descending ()

    int
    thunar_renamer_pair_compare_descending
                                   (const void *pair_a,
                                    const void *pair_b);

Based on GCompareFunc This function can be used as a comparator to sort a Glist of ThunarRenamerPair in descending order of their name.

#### Parameters

pair_a | first pair |
pair_b | second pair |